/* $Id$

This file is part of gldbg
Copyright © 2009  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef BUFFERSTATE_H_
#define BUFFERSTATE_H_

#include <string>
#include <GL/gl.h>

struct BufferState
{
	unsigned id;
	GLenum usage;
	unsigned size;
	char *data;

	BufferState();
	void set_data(unsigned, const void *, GLenum);
	void set_sub_data(unsigned, unsigned, const void *);
	std::string describe() const;
};

#endif
